Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.WrapperData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| WrapperData ()
| Constructor.
| WrapperData (int version, string type, string app_id, string uri, string description)
| Constructor, with parameters. More...
| WrapperData (WrapperData wrapper_data)
| Constructor, with another wrapper data object. More...
void | Set (int version, string type, string app_id, string uri, string description)
| Set value. More...

## Properties
string | app_id`[get, set]`
| Application identity to indicate applications to open this wrapper data.
string | description`[get, set]`
| Description for wrapper file to show applications or confront users prompt information.
string | type`[get, set]`
| Wrapper type to indicate a type of the current wrapper file.
string | uri`[get, set]`
| The URI for consumers to get more information.
int | version`[get, set]`
| Wrapper version.

## Detailed Description

This class represents wrapper data, which is used for a wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ WrapperData() [1/2]

foxit.pdf.WrapperData.WrapperData | ( | int | version,
|  | string | type,
|  | string | app_id,
|  | string | uri,
|  | string | description
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

## ◆ WrapperData() [2/2]

foxit.pdf.WrapperData.WrapperData | ( | WrapperData | wrapper_data | ) |
| inline

Constructor, with another wrapper data object.

Parameters

  [in] | wrapper_data | Another wrapper data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.WrapperData.Set | ( | int | version,
|  | string | type,
|  | string | app_id,
|  | string | uri,
|  | string | description
| ) |  |
| inline

Set value.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.